Last Comment Bug 710776 - [SeaMonkey, Debug Windows] xpcshell: 4 of the test_proxy-*.js report "ASSERTION: nsStandardURL not thread-safe: '_mOwningThread.GetThread() == PR_GetCurrentThread()'"
: [SeaMonkey, Debug Windows] xpcshell: 4 of the test_proxy-*.js report "ASSERTI...
Status: VERIFIED FIXED
[fixed by bug 708935] [perma-orange]
: assertion
Product: Core
Classification: Components
Component: Networking: HTTP (show other bugs)
: Trunk
: x86 Windows Server 2003
: -- major (vote)
: mozilla12
Assigned To: Benjamin Smedberg [:bsmedberg]
:
Mentors:
http://mxr.mozilla.org/mozilla-centra...
Depends on: 708935
Blocks: SmTestFail 513086 681173
  Show dependency treegraph
 
Reported: 2011-12-14 10:06 PST by Serge Gautherie (:sgautherie)
Modified: 2012-01-11 10:23 PST (History)
1 user (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Serge Gautherie (:sgautherie) 2011-12-14 10:06:10 PST
(Linux and OS X debug tinderboxes don't report failure.
 Test passes locally with a non-debug Windows build.)

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1323849602.1323854715.30370.gz&fulltext=1
WINNT 5.2 comm-central-trunk debug test xpcshell on 2011/12/14 00:00:02
{
TEST-UNEXPECTED-FAIL | e:\builds\slave\test\build\xpcshell\tests\netwerk\test\unit\test_proxy-failover_canceled.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | e:\builds\slave\test\build\xpcshell\tests\netwerk\test\unit\test_proxy-failover_canceled.js | application crashed (minidump found)
Thread 11 (crashed)
TEST-UNEXPECTED-FAIL | e:\builds\slave\test\build\xpcshell\tests\netwerk\test\unit\test_proxy-failover_passing.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | e:\builds\slave\test\build\xpcshell\tests\netwerk\test\unit\test_proxy-failover_passing.js | application crashed (minidump found)
Thread 11 (crashed)
TEST-UNEXPECTED-FAIL | e:\builds\slave\test\build\xpcshell\tests\netwerk\test\unit\test_proxy-replace_canceled.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | e:\builds\slave\test\build\xpcshell\tests\netwerk\test\unit\test_proxy-replace_canceled.js | application crashed (minidump found)
Thread 11 (crashed)
TEST-UNEXPECTED-FAIL | e:\builds\slave\test\build\xpcshell\tests\netwerk\test\unit\test_proxy-replace_passing.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | e:\builds\slave\test\build\xpcshell\tests\netwerk\test\unit\test_proxy-replace_passing.js | application crashed (minidump found)
Thread 11 (crashed)
}

Logs contain
{
###!!! ASSERTION: nsStandardURL not thread-safe: '_mOwningThread.GetThread() == PR_GetCurrentThread()', file e:/builds/slave/comm-cen-trunk-w32-dbg/build/mozilla/netwerk/base/src/nsStandardURL.cpp, line 966
}

Fwiw, there are other bugs related to this assertion...
Comment 1 Honza Bambas (:mayhemer) 2012-01-11 09:18:56 PST
Hasn't this been fixed?
Comment 2 Serge Gautherie (:sgautherie) 2012-01-11 10:21:38 PST
http://tinderbox.mozilla.org/showbuilds.cgi?tree=SeaMonkey&maxdate=1325484345&hours=24&legend=0&norules=1

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1325384051.1325388946.20817.gz
WINNT 5.2 comm-central-trunk debug test xpcshell on 2011/12/31 18:14:11
rev:18c05c2bfb15
moz:a447e66c3174

Last failure.

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1325412808.1325417658.12507.gz
WINNT 5.2 comm-central-trunk debug test xpcshell on 2012/01/01 02:13:28
rev:18c05c2bfb15
moz:d77b056ed4bd

V.Fixed

Fix timeframe:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=a447e66c3174&tochange=d77b056ed4bd
That would be bug 708935.

***

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Beta/1326159998.1326164565.19806.gz
WINNT 5.2 comm-beta debug test xpcshell on 2012/01/09 17:46:38
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1326158645.1326163511.17551.gz
WINNT 5.2 comm-aurora debug test xpcshell on 2012/01/09 17:24:05

(Still) have this bug.

Note You need to log in before you can comment on or make changes to this bug.